#!/bin/sh
#
# 0s to run:
#
# IDL_PATH=/usr/local/ibex/sw/i686-5.1/share/isoc/idl:<IDL_DEFAULT> \
# idl -quiet -e \
#     "      restore,'/usr/local/ibex/sw/i686-5.1/share/isoc/idl/all_isoc_modules.sav'&  &    ips={ isoc_plot } &    ips.ct=0 &    setup_z_device,ips &    ips.cbartool='ver2' &    ips.scaling='linear' &    ips.zrange=[-999.9,-999.9] &    ips.zexpand=1 &    setup_map_name,ips,'Mollweide' &    make_me_bin_map,ips,'ms-o011-o033_720x30-flux-3-rot.txt',position=[.05,.15,.95,.95],p0lon=180,p0lat=0 &    make_colorbar_xy,ips,xtitle='ms-o011-o033_720x30-flux-3-rot.txt',position=[.05,.10,.95,.125] &    make_title_overlay_normal,ips,' ',0.5,0.9,sized=5,align=0.5 &    make_png_from_xz,'ms-o011-o033_720x30-flux-3-rot.png'  "

Id="showMap.sh" Xx=""
VERSION="$Id$Xx"

# makes a nice standard plot of a map
ME=`basename $0`
USAGE="Usage: $ME map zmin zmax title 

map.txt        -- map to split (note: do not include .txt) 
zmin           --  min zrange
zmax           -- max zrange

OPTIONS (set as global parameters)

xsize         -- pixels for the xenv
ysize         -- pixels for the xenv
fsize         -- fontsize
mapname       -- Mollweide or whatever
mapframe      -- ECLIPJ2000 or whatever
rflag         -- rotation flag if set then enter zlon and zlat for new map z-axis

Output Files (and .pngs)

   in.png                -- the map
"

in=$1
zmin=$2
zmax=$3

[ "$in" = "--help" ] && { echo "$USAGE"; exit 0; }
[ "$in" = "--version" ] && { echo "$VERSION"; exit 0; }
[ -s $in.txt ] || { echo "$USAGE" ; exit 1; }

idlt=$in.sh.tmp

[ -f $in.txt ] || { echo Need an input file, da; exit; }

[ "$xsize" ] || {  xsize="600"; }
[ "$ysize" ] || {  ysize="400"; }
[ "$p0lon" ] || {  p0lon="255.4"; }
[ "$p0lat" ] || {  p0lat="-5"; }
[ "$mapframe" ] || { mapframe=ECLIPJ2000 ;}
[ "$mapname" ] || { mapname=Mollweide ;}
[ "$fsize" ] || {  fsize=18 ; }
[ "$rflag" ] || {  rflag=0 ; }
[ "$zlon" ] || { zlon=0 ; }
[ "$zlat" ] || { zlat=0 ; }
[ "$title" ] || { title=" " ;}

idl <<EOF
     restore,'$IBEX_ROOT/$IBEX_ARCH/share/isoc/idl/all_isoc_modules.sav'

    ips={ isoc_plot } 
    ips.ct=33
    setup_zvar_device,ips,xsize=$xsize,ysize=$ysize 
    tvlct,r,g,b,/get
    r[0] =255
    g[0] =255
    b[0] =255
    tvlct,r,g,b 
    ips.cbartool='ver2' 
    ips.scaling='linear' 
    ips.zrange=[$zmin,$zmax] 
    ips.zexpand=1 
    setup_map_name,ips,'$mapname'
    ips.mapframe='$mapframe'
    ips.fs=$fsize
    ips.ct=33
    ips.mapgridllt=5
    ips.mapgridlls=0
    make_me_bin_map,ips,'$in.txt',position=[.05,.15,.95,.95],p0lon=$p0lon,p0lat=$p0lat 
    make_me_bin_std_hs,ips,labels,ras,decs,colors
    print, 'rflag = ',rflag
    .r
    if (rflag gt 0) then begin
        zlon=$zlon
        zlat=$zlat
        nl = n_elements(labels)
        get_rotation_matrix,zlon,zlat, R
        for i=0,nl-1 do begin
          rotate_lon_lat,ras[i],decs[i],R,ran,decn
          ras[i]=ran
          decs[i]=decn
        end 
    end
    end
    make_me_bin_overlay,ips,labels,ras,decs,colors
    make_colorbar_xy,ips,xtitle='$title',position=[.05,.10,.95,.125] 
    make_title_overlay_normal,ips,' ',0.5,0.9,sized=5,align=0.5 
    make_png_from_xz,'$in.png' 
EOF
exit
% Compiled module: MAP_SET.
% Compiled module: MAP_IMAGE.
% Compiled module: MAP_GRID.
% Compiled module: INTERPOL.
% Loaded DLM: PNG.
% Program caused arithmetic error: Floating illegal operand
exit status 0
